| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
st_EHCD_SITD Struct Reference
Enhanced Host Controller Interface Driver

## Detailed Description

Definition at line 306 of file EHCI.h.

`#include "EHCI.h"`

## Data Fields
NextLinkPointer | Horizontal
uint32_t | DeviceAddress: 7
uint32_t | EndpointNumber: 4
uint32_t | HubAddress: 7
uint32_t | PortNumber: 7
uint32_t | Direction: 1
uint8_t | uFrameSMask
uint8_t | uFrameCMask
uint16_t | reserved
__IO | uint32_t: 1
__IO uint32_t | SplitXstate: 1
__IO uint32_t | MissedUframe: 1
__IO uint32_t | TransactionError: 1
__IO uint32_t | Babble: 1
__IO uint32_t | BufferError: 1
__IO uint32_t | ERR: 1
__IO uint32_t | Active: 1
__IO uint32_t | uFrameCProgMask: 8
__IO uint32_t | TotalBytesToTransfer: 10
__IO uint32_t | PageSelect: 1
uint32_t | IntOnComplete: 1
uint32_t | BufferPointer [2]
uint32_t | BackPointer
uint8_t | inUse
uint8_t | IhdIdx
uint8_t | reserved2 [2]

## Field Documentation

__IO uint32_t Active

Definition at line 336 of file EHCI.h.

__IO uint32_t Babble

Definition at line 333 of file EHCI.h.

uint32_t BackPointer

Definition at line 358 of file EHCI.h.

__IO uint32_t BufferError

Definition at line 334 of file EHCI.h.

uint32_t BufferPointer[2]

Definition at line 347 of file EHCI.h.

uint32_t DeviceAddress

Definition at line 310 of file EHCI.h.

uint32_t Direction

Definition at line 317 of file EHCI.h.

uint32_t EndpointNumber

Definition at line 312 of file EHCI.h.

__IO uint32_t ERR

Definition at line 335 of file EHCI.h.

NextLinkPointer Horizontal

Definition at line 307 of file EHCI.h.

uint32_t HubAddress

Definition at line 314 of file EHCI.h.

uint8_t IhdIdx

Definition at line 362 of file EHCI.h.

uint32_t IntOnComplete

Definition at line 342 of file EHCI.h.

uint8_t inUse

Definition at line 361 of file EHCI.h.

__IO uint32_t MissedUframe

Definition at line 331 of file EHCI.h.

__IO uint32_t PageSelect

Definition at line 341 of file EHCI.h.

uint32_t PortNumber

Definition at line 316 of file EHCI.h.

uint16_t reserved

Definition at line 324 of file EHCI.h.

uint8_t reserved2[2]

Definition at line 363 of file EHCI.h.

__IO uint32_t SplitXstate

Definition at line 330 of file EHCI.h.

__IO uint32_t TotalBytesToTransfer

Definition at line 339 of file EHCI.h.

__IO uint32_t TransactionError

Definition at line 332 of file EHCI.h.

uint8_t uFrameCMask

Definition at line 323 of file EHCI.h.

__IO uint32_t uFrameCProgMask

Definition at line 338 of file EHCI.h.

uint8_t uFrameSMask

Definition at line 322 of file EHCI.h.

__IO uint32_t

Definition at line 329 of file EHCI.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/LPCUSBLib/Drivers/USB/Core/HCD/EHCI/EHCI.h